/**
 * User: Clinton Begin
 * Date: Jul 13, 2003
 * Time: 8:17:52 PM
 */
package com.ibatis.jpetstore.persistence.dao.iface;

import com.ibatis.jpetstore.domain.*;
import com.ibatis.db.dao.*;

import java.util.*;

public interface AccountDao {
  Account getAccount(String username)
      throws DaoException;

  List getUsernameList()
      throws DaoException;

  Account getAccount(String username, String password)
      throws DaoException;

  void insertAccount(Account account)
      throws DaoException;

  void updateAccount(Account account)
      throws DaoException;
}
